メインコンテンツまでスキップ

7) AIP ラベルの解除

AIPドキュメントを一般的なドキュメントに変換

API

MethodURL
POST/api/unProtect

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringSHIELDRM 管理者ページの連携アプリ管理メニューで発行されたライセンスを入力
srcFilePathrequiredstring元のAIP文書のパス
- Azure OpenidTenantがないか、Actionの作成に失敗した場合、文書を一般文書と見なす
dstFilePathrequiredstring解除された一般文書のパス
extraInfooptionaljsonJSON形式の追加情報入力
(以下のextraInfoデータ説明表およびサンプルデータを参照)
decisionFactoroptionaljson登録された条件付きポリシーを適用するための追加情報の入力
(以下の decisionFactor データ説明表およびサンプルデータを参照)
extraInfo データ説明表
KeyRequiredTypeDescription
sourcerequiredjson
namerequiredstring呼び出しシステム名
fromrequiredstring呼び出しシステムURL
userjson
idstringユーザーID
namestringユーザー名
departstringユーザー全体部門 (上位グループ/中位グループ/下位グループ)
dutystringユーザー職名
  • サンプルデータ
{
"source": {
"name": "EKMS",
"from": "https://devekms.softcamp.co.kr"
},
"user": {
"id": "ekmsTest@softcamp.co.kr",
"name": "ekmsTest",
"depart": "임직원/연구소/개발실/개발1팀",
"duty": "과장"
}
}
decisionFactor データ説明表
KeyRequiredTypeDescription
userIdrequiredstring条件付きポリシーの構成員に該当する文書変換をリクエストしたユーザーID
ipAddressrequiredstring条件付きポリシーの位置(IP)に該当する文書変換をリクエストしたユーザーIP
  • サンプルデータ
{
"userId": "user1@socam.info",
"ipAddress": "10.10.10.100"
}

Response

NameTypeDescription
codeint0 : 成功
0以外の値 : エラー
messagestring"OK" : 成功
その他の値 エラーメッセージ

Examples

Request

  • Body
{
"licenseKey": "FEFF-0C448-B1D8-A1A9A",
"srcFilePath" : "/opt/shieldrm/data/encFile.xlsx",
"dstFilePath" : "/opt/shieldrm/plainFile.xlsx",
"extraInfo" : "{\"source\":{\"name\":\"EKMS\",\"from\":\"https://devekms.softcamp.co.kr\"},\"user\":{\"id\":\"ekmsTest@softcamp.co.kr\",\"name\":\"ekmsTest\",\"depart\":\"임직원/연구소/개발실/개발1팀\",\"duty\":\"과장\"}}",
"decisionFactor": "{\"userId\":\"user1@socam.info\",\"ipAddress\":\"10.10.10.100\"}"
}

Response

  • 成功
{
"code": 0,
"message" : "OK"
}
  • 失敗
  • Status code : 401 UNAUTHORIZED
{
"code": 40001,
"message": "Invalid token"
}
  • Status code : 500 INTERNAL_SERVER_ERROR
[AIP SDK 에러]
{
"code": 60001,
"message": "com.microsoft.informationprotection.internal.gen.Error: NoAuthTokenError: Client application failed to provide authentication token for HTTP request., CorrelationId=a2d2f6b1-4265-482b-bc7d-18c88f8284bd, CorrelationId.Description=PolicyProfile"
}

[내부 서비스 에러]
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}